# Load and parse user preferences.

from app_globals import *

_current_config = None


# Parse current user preferences.  When Client is run, it first will
# check for and make any necessary version updates.

def get_user_prefs(user_prefs_file):
    global _current_config
    if _current_config: return _current_config
    user_config = ConfigParserCommentless()
    user_config.read([user_prefs_file])
    _current_config = user_config
    return user_config


# This dictionary can be used throughout the application to look up
# current preference values.

user_prefs = get_user_prefs(os.path.join(config_dir, 'preferences.conf'))
