# Pathena file-type class definition

from file_type_attribs import *

# ============== Do not change anything above this line ==============


# Microsoft Word document file type.

import re

species_name    = 'msword'

#slash_num = re.compile('\\\d{1:3}')     # char codes sequences '\123'

# conversion provided by antiword if it exists:

converter_exists, file_converter = \
    make_converter_command('antiword',
                           truncated_spawn('antiword', '', '',
                                           command_timeout))


#title_extractor = make_shell_command('')

#metadata_extractor = make_shell_command('')


class Regular_Type(Document_Genus):

    def __init__(self, name):
        Document_Genus.__init__(self, name)

    file_extensions = ('doc',)

    external_viewers = (('oowriter', 'oowriter "%s"'),
                        )
    
#    external_editors = None   ## oowriter can also edit

    commands_needed = ('antiword',)

    if converter_exists:
        def convert_file(self, path, usage=0):
            return protected_convert_file(file_converter, path, usage)
    else:
        def convert_file(self, path, usage=0):
            if usage == 0:      # display
                return file_converter(path)
            else:
                return ''
    
#    def extract_title(self, path, orig_path=None):
#        return ''

#    def extract_metadata(self, path, orig_path=None):
#	 return ''


# ============== Do not change anything below this line ==============

register_type_class(Regular_Type(species_name))
